<!--pages/index/index.wxml-->
<!-- 学校轮播图 -->
<view>
	<swiper indicator-dots="true" autoplay="true" interval="{{interval}}">
		<block wx:for="{{pictures}}" wx:for-item="picture_url">
			<swiper-item>
				<image src="{{picture_url}}"></image>
			</swiper-item>
		</block>
	</swiper>

	<!-- 选择登录或者注册 -->
	<view class="page">
		<view class="weui-form global-background">
			<view class="weui-form__control-area">
				<view class="weui-cells__group weui-cells__group_form">
					<view class="weui-cells global-background">
						<!-- 乘客登录 -->
						<view class="weui-cell weui-cell_access " bind:tap="redirect" data-choice="login1">
							<view class="weui-cell__bd">
								<view>乘客登录</view>
							</view>
							<view class="weui-cell__ft"></view>
						</view>
						<!-- 司机登录 -->
						<view class="weui-cell weui-cell_access " bind:tap="redirect" data-choice="login2">
							<view class="weui-cell__bd">
								<view>司机登录</view>
							</view>
							<view class="weui-cell__ft"></view>
						</view>
						<!-- 乘客注册 -->
						<view class="weui-cell weui-cell_access" bind:tap="redirect" data-choice="passenger_register">
							<view class="weui-cell__bd">
								<view>乘客注册</view>
							</view>
							<view class="weui-cell__ft"></view>
						</view>
						<!-- 司机注册 -->
						<view class="weui-cell weui-cell_access" bind:tap="redirect" data-choice="driver_register">
							<view class="weui-cell__bd">
								<view>司机注册</view>
							</view>
							<view class="weui-cell__ft"></view>
						</view>
					</view>
				</view>
			</view>
		</view>
	</view>
	<!-- 正在连接服务器的提示框 -->
	<view class="fadeIn {{hide_loading ? 'fadeOut' : ''}}" wx:if="{{loading}}">
		<view class="weui-mask_transparent"></view>
		<view class="weui-toast">
			<view class="weui-primary-loading weui-primary-loading_transparent weui-icon_toast">
				<view class="weui-primary-loading__dot"></view>
			</view>
			<view class="weui-toast__content">正在连接服务器</view>
		</view>
	</view>
	<!-- 连接服务器失败的提示框 -->
	<view class="fadeIn {{hide_warn_toast ? 'fadeOut' : ''}}" wx:if="{{warn_toast}}">
		<view class="weui-mask_transparent"></view>
		<view class="weui-toast">
			<i class="weui-icon-warn weui-icon_toast"></i>
			<view class="weui-toast__content">连接失败</view>
		</view>
	</view>

</view>